process BWA_MEM {
  tag "bwa mem"
  container 'quay.io/biocontainers/bwa:0.7.17--h84994c4_5'
  
  input:
    tuple path(tr1), path(tr2), path(un1), path(un2)
    tuple path(index_files), path(fai), path(reference_genome)

  output:
    tuple path("*.R1R2.sam"), 
          path("*.R1.sam"),
          path("*.R2.sam")


  script:
  def threadsArgument = params.threads_bwa_mem ? "-t $params.threads_bwa_mem" : ""
  """
  tr1Name=\$(echo ${tr1.simpleName} | cut -f 1 -d '_')
  un1Name=\$(echo ${un1.simpleName} | cut -f 1 -d '_')
  un2Name=\$(echo ${un2.simpleName} | cut -f 1 -d '_')

  bwa mem $threadsArgument -R "@RG\\tID:\$tr1Name\\tSM:NA19206\\tPL:ILLUMINA\\tCN:CBRA\\tLB:Fragment" $reference_genome ${tr1} ${tr2} >\$tr1Name.R1R2.sam
  bwa mem $threadsArgument -R "@RG\\tID:\$un1Name\\tSM:NA19206\\tPL:ILLUMINA\\tCN:CBRA\\tLB:Fragment" $reference_genome ${un1} > \$un1Name.R1.sam
  bwa mem $threadsArgument -R "@RG\\tID:\$un2Name\\tSM:NA19206\\tPL:ILLUMINA\\tCN:CBRA\\tLB:Fragment" $reference_genome ${un2} > \$un2Name.R2.sam
  """
}