process GRIDSS {
  tag "gridss"
  container 'quay.io/biocontainers/gridss:2.9.3--0'

  input:
    tuple path(input), path(bai)
    tuple path(index_files), path(fai), path(reference_genome)
    path blacklist    

  output:
    path "*.gridss.raw.vcf.gz", emit: output

  script:
  def threadsArgument = params.threads_gridss ? "--threads $params.threads_gridss" : ""
  """
  for i in $input
  do
    gridss --reference $reference_genome \\
            --output \$(echo \${i%%.*}).gridss.raw.vcf.gz \\
            --assembly "$params.assemblyFilename" \\
            $threadsArgument \\
            --jar "/usr/local/share/gridss-2.9.3-0/gridss.jar" \\
            --blacklist $blacklist \\
            \$i
  done
  """
}