process MANTA {
  tag "manta"
  container 'quay.io/biocontainers/manta:1.6.0--py27_0'

  input:
    tuple path(input), path(bai)
    tuple path(index_files), path(fai), path(reference_genome)
    path regions

  output:
    tuple path("*.manta.raw.vcf.gz"), emit: output

  script:
  def exomeArgument = params.manta_exome ? "--exome" : ""
  """
  for i in $input
  do
    srr=\$(echo \$i | cut -f 1 -d '.')
    configManta.py --bam \$i --referenceFasta $reference_genome --runDir generated\$(echo \$srr) --callRegions $regions $exomeArgument
    python generated\$(echo \$srr)/runWorkflow.py
    mv generated\$(echo \$srr)/results/variants/diploidSV.vcf.gz ./\$(echo \$srr).manta.raw.vcf.gz
  done
  """
  
}