process PICARD_MARKDUPLICATES {
  tag "picard markduplicates"
  container 'quay.io/biocontainers/picard:2.10.6--py35_0'

  input:
    path input

  output:
    path "*.sorted.dedup.bam", emit: alignments
    path "*.sorted.dedup.metrics.txt", emit: metrics

  script:
    """
    picard MarkDuplicates \\
      INPUT=$input \\
      OUTPUT=${input.simpleName}.dedup.bam \\
      METRICS_FILE=${input.simpleName}.dedup.metrics.txt \\
      ASSUME_SORTED=TRUE
    """
}