process SAMTOOLS_MERGE {
  tag "samtools merge"
  container 'quay.io/biocontainers/samtools:1.5--2'

  input:
    path reads
    
  output:
    path "${reads[0]}.sorted.bam", emit: output_samtools_merge
        
  script:
  def threadsArgument = params.threads_samtools ? "--threads $params.threads_samtools" : ""
  """
  samtools merge -f $threadsArgument ${reads[0].simpleName}.sorted.bam $reads
  """
}