process SAMTOOLS_SORT {
  tag "samtools sort"
  container 'quay.io/biocontainers/samtools:1.5--2'

  input:
    path input
    
  output:
    path "*.sorted.bam", emit: output
    
  script:
  def threadsArgument = params.threads_samtools ? "--threads $params.threads_samtools" : ""
  """
  for i in $input
  do
    samtools sort $threadsArgument \$i -o \$(echo \${i%%.*}).sorted.bam
  done
  """
}