process SAMTOOLS_VIEW_SAM2BAM {
  tag "samtools view sam2bam"
  container 'quay.io/biocontainers/samtools:1.5--2'

  input:
    path input

  output:
    tuple path("*.bam"), emit: output

  script:
  def threadsArgument = params.threads_samtools ? "--threads $params.threads_samtools" : ""
  """
  for i in $input
  do
    samtools view $threadsArgument -bS \$i -o \$(echo \${i%%.*}).bam
  done
  """
}