    /*
 * Include for cnv_manta
*/
include {
    MANTA
} from "../modules/manta"
include {
    SVTOOLS
} from "../modules/svtools"
include {
    MANTA_FILTER
} from "../modules/manta_filter"
include {
    BEDOPS_UNION as MANTA_UNION
} from "../modules/bedops_union"
include {
    COLLAPSE as MANTA_MERGE
} from "../modules/collapse"


/*
* Subworkflow cnv_manta
*/
workflow SUB_CNV_MANTA {
    take:
       bams
       samples
       reference_genome
       bed

    main:
        MANTA(bams,
              reference_genome,
              bed)
        SVTOOLS( MANTA.out )
        MANTA_FILTER( manta_filter_script, SVTOOLS.out, samples )
        MANTA_UNION( MANTA_FILTER.out )
        MANTA_MERGE( collapse_script, MANTA_UNION.out )

    emit:
        output = MANTA_MERGE.out
}