/*
 * Include for samtools_sort
*/
include {
    SAMTOOLS_SORT as SAMTOOLS_SORT_PAIRED
} from "../modules/samtools_sort"
include {
    SAMTOOLS_SORT as SAMTOOLS_SORT_UNPAIRED_R1
} from "../modules/samtools_sort"
include {
    SAMTOOLS_SORT as SAMTOOLS_SORT_UNPAIRED_R2
} from "../modules/samtools_sort"

/*
* Subworkflow samtools_sort
*/
workflow SUB_SAMTOOLS_SORT {
  take:
    paired
    unpaired_R1
    unpaired_R2
    threads

  main:
    SAMTOOLS_SORT_PAIRED(paired,threads)

    SAMTOOLS_SORT_UNPAIRED_R1(unpaired_R1,threads)

    SAMTOOLS_SORT_UNPAIRED_R2(unpaired_R2,threads)

  emit:
    output_paired = SAMTOOLS_SORT_PAIRED.out
    output_unpairedR1 = SAMTOOLS_SORT_UNPAIRED_R1.out
    output_unpairedR2 = SAMTOOLS_SORT_UNPAIRED_R2.out
}